Subject: Re: [RFC] [DCCP]: Deprecate SOCK_DCCP in favour of SOCK_DGRAM

From: Ulrich Drepper <[email-masked]>
Date: Wed, 14 May 2008 07:06:19 -0700

Gerrit Renker wrote:
> RFC 3493 says that 0 for socktype/protocol means that caller will accept
> any socket type / protocol, so presumably this does include DCCP and UDP-Lite.

I know what the RFC says.  But there are a gazillion of protocols out
there and I won't create a record for all of them in case socktype and
protocol are zero.  That's just overkill in 99.9% of all cases.

I assumption is that UDPlite is just too specialized to be useful to a
wide array of people.  Yes, it case be supported if explicitly requested
but should be returned if 0/0 is passed in.

What I'm asking is whether this is a fair assumption and what the story
of DCCP is.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖